Bug 1781176 - 'hammer compute-resource info' shows 'secret_key' as plain text
Summary: 'hammer compute-resource info' shows 'secret_key' as plain text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-09 13:28 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: rubygem-hammer_cli_foreman_azure_rm-0.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28522 Normal Closed 'hammer compute-resource info' shows 'secret_key' as plain text 2020-01-08 12:12:28 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:03 UTC

Description vijsingh 2019-12-09 13:28:28 UTC
Description of problem:

'hammer compute-resource info' shows 'secret_key' as plain text


Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 5.0

How reproducible:

Always

Steps to Reproduce:
1. Create a AzureRM Compute-Resource using UI/CLI
2. Check info with below:
 
 # hammer compute-resource info --name <CR Name>
  
Actual results:

  'secret_key' shows as plain text

Expected results:
 
 'secret_key' should not show

Additional info

Comment 3 vijsingh 2019-12-23 06:39:05 UTC
ON_QA Verified

@Satellite 6.7.0 snap 7.0

 - 'secret_key' do not show in 'hammer compute-resource info'

Comment 6 errata-xmlrpc 2020-04-14 13:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.